import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    menus: [], // 菜单
    siteId:'', // 站点id
    deptList:[], // 部门列表
  },
  getters: {
    siteId(state){
      return state.siteId
    },
    deptList(state){
      return state.deptList
    }
  },
  mutations: {
    SET_MENUS(state, menus) {
      state.menus = menus
    },
    SET_SITEID(state,siteId){
      state.siteId = siteId
    },
    SET_deptList(state,deptList){
      state.deptList = deptList
    }
  },
  actions: {
  },
  modules: {
  }
})
